# FoundationClasses
TKMath
TColgp

# TColgp_SequenceOfVec Class Reference

`#include <TColgp_SequenceOfVec.hxx>`

Inheritance diagram for TColgp_SequenceOfVec:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| TColgp_SequenceOfVec ()
Standard_EXPORT void | Clear ()
| ~TColgp_SequenceOfVec ()
Standard_EXPORT const TColgp_SequenceOfVec & | Assign (const TColgp_SequenceOfVec &Other)
const TColgp_SequenceOfVec & | operator= (const TColgp_SequenceOfVec &Other)
Standard_EXPORT void | Append (const gp_Vec &T)
void | Append (TColgp_SequenceOfVec &S)
Standard_EXPORT void | Prepend (const gp_Vec &T)
void | Prepend (TColgp_SequenceOfVec &S)
void | InsertBefore (const Standard_Integer Index, const gp_Vec &T)
void | InsertBefore (const Standard_Integer Index, TColgp_SequenceOfVec &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const gp_Vec &T)
void | InsertAfter (const Standard_Integer Index, TColgp_SequenceOfVec &S)
Standard_EXPORT const gp_Vec & | First () const
Standard_EXPORT const gp_Vec & | Last () const
void | Split (const Standard_Integer Index, TColgp_SequenceOfVec &Sub)
Standard_EXPORT const gp_Vec & | Value (const Standard_Integer Index) const
const gp_Vec & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const gp_Vec &I)
Standard_EXPORT gp_Vec & | ChangeValue (const Standard_Integer Index)
gp_Vec & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)

## Private Member Functions

Standard_EXPORT | TColgp_SequenceOfVec (const TColgp_SequenceOfVec &Other)

## Constructor & Destructor Documentation

TColgp_SequenceOfVec::TColgp_SequenceOfVec | ( |  | ) |

TColgp_SequenceOfVec::~TColgp_SequenceOfVec | ( |  | ) | `[inline]`

Standard_EXPORT TColgp_SequenceOfVec::TColgp_SequenceOfVec | ( | const TColgp_SequenceOfVec & | Other | ) | `[private]`

## Member Function Documentation

void TColgp_SequenceOfVec::Append | ( | TColgp_SequenceOfVec & | S | ) |

Standard_EXPORT void TColgp_SequenceOfVec::Append | ( | const gp_Vec & | T | ) |

Standard_EXPORT const TColgp_SequenceOfVec& TColgp_SequenceOfVec::Assign | ( | const TColgp_SequenceOfVec & | Other | ) |

Standard_EXPORT gp_Vec& TColgp_SequenceOfVec::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TColgp_SequenceOfVec::Clear | ( |  | ) |

Standard_EXPORT const gp_Vec& TColgp_SequenceOfVec::First | ( |  | ) | const

void TColgp_SequenceOfVec::InsertAfter | ( | const Standard_Integer | Index,
|  | TColgp_SequenceOfVec & | S
| ) |

Standard_EXPORT void TColgp_SequenceOfVec::InsertAfter | ( | const Standard_Integer | Index,
|  | const gp_Vec & | T
| ) |

void TColgp_SequenceOfVec::InsertBefore | ( | const Standard_Integer | Index,
|  | TColgp_SequenceOfVec & | S
| ) |

void TColgp_SequenceOfVec::InsertBefore | ( | const Standard_Integer | Index,
|  | const gp_Vec & | T
| ) |

Standard_EXPORT const gp_Vec& TColgp_SequenceOfVec::Last | ( |  | ) | const

void TColgp_SequenceOfVec::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BaseSequence.

void* TColgp_SequenceOfVec::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BaseSequence.

void* TColgp_SequenceOfVec::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BaseSequence.

gp_Vec& TColgp_SequenceOfVec::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const gp_Vec& TColgp_SequenceOfVec::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const TColgp_SequenceOfVec& TColgp_SequenceOfVec::operator= | ( | const TColgp_SequenceOfVec & | Other | ) | `[inline]`

void TColgp_SequenceOfVec::Prepend | ( | TColgp_SequenceOfVec & | S | ) |

Standard_EXPORT void TColgp_SequenceOfVec::Prepend | ( | const gp_Vec & | T | ) |

Standard_EXPORT void TColgp_SequenceOfVec::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void TColgp_SequenceOfVec::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TColgp_SequenceOfVec::SetValue | ( | const Standard_Integer | Index,
|  | const gp_Vec & | I
| ) |

void TColgp_SequenceOfVec::Split | ( | const Standard_Integer | Index,
|  | TColgp_SequenceOfVec & | Sub
| ) |

Standard_EXPORT const gp_Vec& TColgp_SequenceOfVec::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- TColgp_SequenceOfVec.hxx